Subject: Re: bug#35688: url-auth prompt is blank when realm is the empty string

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 15 May 2019 06:15:03 +0200

Thomas Fitzsimmons <[email-masked]> writes:

> See for example:
>
> (url-retrieve-synchronously "https://outlook.office365.com/EWS/Exchange.asmx")
>
> The attached patch makes the prompt contain the full URL, and applies to
> all auth schemes.  However, maybe each auth scheme should decide how to
> handle a "" realm and to fix this particular case I should just change
> url-basic-auth?  I'm open to suggestions.
>
> Anyway, I'm filing this bug because I think prompting for a username and
> password while not showing the user the requested URL is a usability
> problem.

I think your fix sounds sufficient, so I've applied it to Emacs 27.1 as
is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no